﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamlInWindows10
{
    public class Contact
    {
        public string Name { get; set; }
    }

    public class ContactGroup : ObservableCollection<Contact>
    {
        public ContactGroup(string key, IEnumerable<Contact> contacts) : base(contacts)
        {
            this.Key = key;
        }
        public string Key { get; set; }

        public static ObservableCollection<ContactGroup> GenerateRandomPeople(int minSize, int maxSize)
        {
            var ret = new ObservableCollection<ContactGroup>();
            Random rnd = new Random();
            for (char c = 'A'; c <= 'Z'; c++)
            {
                int count = minSize + rnd.Next(maxSize - minSize);
                var tmp = new List<Contact>();
                for (int i = 0; i < count; i++)
                {
                    StringBuilder builder = new StringBuilder();
                    builder.Append(c);
                    int len = 4 + rnd.Next(5);
                    for (int j = 0; j < len; j++)
                    {
                        builder.Append((char)('a' + rnd.Next(26)));
                    }
                    tmp.Add(new Contact() { Name = builder.ToString() });
                }
                tmp.Sort((c1, c2) => string.Compare(c1.Name, c2.Name));
                ret.Add(new ContactGroup(c.ToString(), tmp));
            }
            return ret;
        }
    }
}
