﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.ApplicationModel.Core;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace XamlInWindows10
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            CoreApplicationViewTitleBar coreTitleBar = CoreApplication.GetCurrentView().TitleBar;
            coreTitleBar.ExtendViewIntoTitleBar = true;
            // Gérer la visibilité pour le mode Tablet
            coreTitleBar.IsVisibleChanged += CoreTitleBar_IsVisibleChanged;
            // Si on veut que la Barre de Titre ait la hauteur standard, il faut tracker
            // l'évolution de la CoreTitleBar
#if false
            coreTitleBar.LayoutMetricsChanged += CoreTitleBar_LayoutMetricsChanged;
            CustomTitleBar.Height = coreTitleBar.Height;
#endif
            // MyTitleBar doit transmettre les événements pour permettre le déplacement de la fenêtre
            //Window.Current.SetTitleBar(CustomTitleBar);
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            base.OnNavigatedFrom(e);
            CoreApplicationViewTitleBar coreTitleBar = CoreApplication.GetCurrentView().TitleBar;
            coreTitleBar.ExtendViewIntoTitleBar = false;
        }

        private void CoreTitleBar_IsVisibleChanged(CoreApplicationViewTitleBar sender, object args)
        {
            CustomTitleBar.Visibility = (sender.IsVisible ? Visibility.Visible : Visibility.Collapsed);
        }

        private void CoreTitleBar_LayoutMetricsChanged(CoreApplicationViewTitleBar sender, object args)
        {
            CustomTitleBar.Height = sender.Height;
        }

        private void VisualStatesButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(VisualStatesPage));
        }

        private void DragAndDropButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(DragDropPage));
        }

        private void RelativePanelButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(RelativePanelPage2));
        }

        private void VisualTreeReducButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(VisualTreeReducPage));
        }

        private void SplitViewButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(SplitViewPage));
        }

        private void PivotButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(PivotPage));
        }
        private void XBindButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(XBindPage));
        }
        private void ResizeButton_Click(object sender, RoutedEventArgs e)
        {
            ApplicationView.GetForCurrentView().TryResizeView(new Size(1200, 600));
        }
        private void FullScreenButton_Click(object sender, RoutedEventArgs e)
        {
            var current = ApplicationView.GetForCurrentView();
            if (current.IsFullScreen)
            {
                current.ExitFullScreenMode();
            }
            else
            {
                ApplicationView.GetForCurrentView().TryEnterFullScreenMode();
            }
        }

        private void ListViewButton_Click(object sender, RoutedEventArgs e)
        {
            Frame.Navigate(typeof(ListViewPage));

        }
    }
}
