﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace XamlInWindows10
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class SplitViewPage : Page
    {
        class DisplayModeItem
        {
            public DisplayModeItem(SplitViewDisplayMode mode)
            {
                Mode = mode;
            }
            public SplitViewDisplayMode Mode { get; private set; }

            public override string ToString()
            {
                return Mode.ToString();
            }
        }
        public SplitViewPage()
        {
            this.InitializeComponent();
            List<string> items = new List<string>();
            for (int i = 0; i < 100; i++) items.Add(string.Format("Item #{0}", i));
            TheListView.ItemsSource = items;


            List<DisplayModeItem> placements = new List<DisplayModeItem>();
            placements.Add(new DisplayModeItem(SplitViewDisplayMode.Inline));
            placements.Add(new DisplayModeItem(SplitViewDisplayMode.Overlay));
            placements.Add(new DisplayModeItem(SplitViewDisplayMode.CompactInline));
            placements.Add(new DisplayModeItem(SplitViewDisplayMode.CompactOverlay));
            DisplayModeCombo.ItemsSource = placements;
            DisplayModeCombo.SelectedIndex = 0;
        }

        private void BackButton_Click(object sender, RoutedEventArgs e)
        {
            if (Frame.CanGoBack) Frame.GoBack();
        }
        private void OpenButton_Click(object sender, RoutedEventArgs e)
        {
            TheSplitView.IsPaneOpen = true;
        }

        private void CloseButton_Click(object sender, RoutedEventArgs e)
        {
            TheSplitView.IsPaneOpen = false;
        }
    }
}
