﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace XamlInWindows10
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class VisualStatesPage : Page
    {
        bool _loaded = false;



        public bool? IsConnectionEnabled
        {
            get { return (bool)GetValue(IsConnectionEnabledProperty); }
            set { SetValue(IsConnectionEnabledProperty, value); }
        }

        // Using a DependencyProperty as the backing store for IsConnectionEnabled.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty IsConnectionEnabledProperty =
            DependencyProperty.Register("IsConnectionEnabled", typeof(bool), typeof(VisualStatesPage), new PropertyMetadata(false));


        public VisualStatesPage()
        {
            this.InitializeComponent();
            this.Loaded += (sender, e) => _loaded = true;
        }

        private void BackButton_Click(object sender, RoutedEventArgs e)
        {
            if (Frame.CanGoBack) Frame.GoBack();
        }


        private void ConnectedCB_Checked(object sender, RoutedEventArgs e)
        {
            if (_loaded)
            {
                ConnectedTrigger.IsConnected = (ConnectedCB.IsChecked.HasValue && ConnectedCB.IsChecked.Value);
            }
        }
    }
}
